diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 6955ca6b88fc0ac6b0cde9b2d0cb1034a4e1f158..242546cf4b73559697cf29631960da43c8b604af 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -93,6 +93,7 @@ test-bins-arm64:
     - ./cicd_testing/builtin-xforms.sh
     - ./cicd_testing/elfdep.sh
     - ./cicd_testing/go_tests.sh
+    - ./cicd_testing/rust_tests.sh
 
 
 
diff --git a/cicd_testing/rust_test.sh b/cicd_testing/rust_test.sh
new file mode 100755
index 0000000000000000000000000000000000000000..ba08fc0d6d5edd17f04a4abda1e05084492b7091
--- /dev/null
+++ b/cicd_testing/rust_test.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+set -x
+
+cd /tmp/peasoup_test
+export IDAROOT=$CICD_MODULE_WORK_DIR/idapro71
+export IDASDK=$CICD_MODULE_WORK_DIR/idapro71_sdk
+source set_env_vars
+
+cd $PEASOUP_HOME/tests/rust_test/
+./testit.sh